×

Discussion Board

Results 1 to 6 of 6
  1. #1
    Regular Contributor
    Join Date
    Jun 2003
    Posts
    83

    Unable to run Carbide C++ v1.1 or v1.2 under Vista

    I cant seem to get Carbide C++ Express v1.1 or v1.2 under Windows Vista Ultimate. I have Java SE 6 (v1.6.0) installed. When I run Carbide C++ I get a dialog with refers to a .log file.

    Has anyone had a similar problem or know how to fix the issue. Below is an extract from the log file.

    !SESSION 2007-05-17 09:19:08.392 -----------------------------------------------
    eclipse.buildId=M20060921-0945
    java.version=1.5.0_05
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_GB
    Command-line arguments: -os win32 -ws win32 -arch x86

    !ENTRY org.eclipse.osgi 4 0 2007-05-17 09:19:09.549
    !MESSAGE Application error
    !STACK 1
    java.lang.UnsatisfiedLinkError: no swt-win32-3235 in java.library.path
    at java.lang.ClassLoader.loadLibrary(Unknown Source)
    at java.lang.Runtime.loadLibrary0(Unknown Source)
    at java.lang.System.loadLibrary(Unknown Source)
    at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
    at org.eclipse.swt.internal.win32.OS.<clinit>(OS.java:18)
    at org.eclipse.swt.widgets.Display.<clinit>(Display.java:125)
    at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:433)
    at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:161)
    at org.eclipse.ui.internal.ide.IDEApplication.createDisplay(IDEApplication.java:122)
    at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:75)
    at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
    at org.eclipse.core.launcher.Main.run(Main.java:977)
    at org.eclipse.core.launcher.Main.main(Main.java:952)

    !ENTRY org.eclipse.osgi 2 0 2007-05-17 09:19:09.658

  2. #2
    Registered User
    Join Date
    Aug 2003
    Location
    Oulu, Finland
    Posts
    1,122

    Re: Unable to run Carbide C++ v1.1 or v1.2 under Vista

    At least disabling Vista's UAC should work.

    Lauri

  3. #3
    Registered User
    Join Date
    Dec 2006
    Posts
    5

    Re: Unable to run Carbide C++ v1.1 or v1.2 under Vista

    Hi I faced this problem too, and disabled Vista's UAC. But Carbide still doesn't run. Do I need to reinstall with the UAC switched off?
    Anyone has conclusively solved this problem?

    Thanks,
    -Niraj (ranjan.niraj@gmail.com)

  4. #4
    Registered User
    Join Date
    Jun 2007
    Posts
    1

    Re: Unable to run Carbide C++ v1.1 or v1.2 under Vista

    Ensure you are running the application as an administrator when in Windows Vista. To do this simply right click on the executable (or shortcut) at select the "Run as administrator" option. You can also make this a permanent change through the "Compatibility" tab of the Properties dialog.

    Hope that helps.
    Jeevan

  5. #5
    Super Contributor
    Join Date
    Dec 2005
    Location
    England,UK
    Posts
    1,600

    Re: Unable to run Carbide C++ v1.1 or v1.2 under Vista

    Hi carbide 1.1 wont run but carbide 1.2 will run see wiki project
    http://wiki.forum.nokia.com/index.ph...Vista_%28tm%29
    Jim

  6. #6
    Registered User
    Join Date
    Aug 2007
    Posts
    74

    Re: Unable to run Carbide C++ v1.1 or v1.2 under Vista

    Quote Originally Posted by Jeevanx View Post
    Ensure you are running the application as an administrator when in Windows Vista. To do this simply right click on the executable (or shortcut) at select the "Run as administrator" option. You can also make this a permanent change through the "Compatibility" tab of the Properties dialog.

    Hope that helps.
    Thanks jeevan for your help.
    Hasan

Similar Threads

  1. using the Carbide c++ v1.1 to debug on the device no result
    By zoutingjian in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 2
    Last Post: 2007-01-12, 18:45
  2. I am unable to run the bldmake bldfiles
    By dheeraj_anand in forum Symbian Tools & SDKs
    Replies: 0
    Last Post: 2003-07-21, 14:35
  3. Unable to run application error inside the application
    By prakala in forum Mobile Java General
    Replies: 2
    Last Post: 2003-05-27, 22:46
  4. Unable to run application!
    By in_indianapolis in forum Mobile Java General
    Replies: 1
    Last Post: 2003-05-06, 07:30
  5. Unable to run application (7210 emulator)
    By sendron in forum Mobile Java General
    Replies: 2
    Last Post: 2002-12-12, 12:30

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×